Bugzilla Bug 290217: in the "gmake import" build method, import NSPR 4.6
authorwtchang%redhat.com
Fri, 15 Apr 2005 00:28:40 +0000
changeset 5620 edec78d5e20c94bf4cb2b7c7711c5e12dba2b4a7
parent 5618 66df089722f90e1526661c67f4614ae449e05d34
child 5621 281b9807fb1b25ceffd2146fb57ca4d0d783c979
push idunknown
push userunknown
push dateunknown
bugs290217
Bugzilla Bug 290217: in the "gmake import" build method, import NSPR 4.6 and do not import DBM. Instead, build DBM from sources. r=relyea. a=christophe.ravel. Modified files: manifest.mn Makefile
security/nss/Makefile
security/nss/manifest.mn
--- a/security/nss/Makefile
+++ b/security/nss/Makefile
@@ -161,12 +161,12 @@ ifeq ($(OS_TARGET),OS2)
 	cp -f $(DIST)/lib/libmozdbm_s.$(LIB_SUFFIX) $(DIST)/lib/libdbm.$(LIB_SUFFIX)
 else
 	$(NSINSTALL) -L ../../dist include $(DIST)
 	$(NSINSTALL) -L ../../dist lib $(DIST)
 	cp $(DIST)/lib/libmozdbm_s.$(LIB_SUFFIX) $(DIST)/lib/libdbm.$(LIB_SUFFIX)
 endif
 endif
 
-nss_RelEng_bld: build_coreconf import all
+nss_RelEng_bld: build_coreconf import build_dbm all
 
 package:
 	$(MAKE) -C pkg publish
--- a/security/nss/manifest.mn
+++ b/security/nss/manifest.mn
@@ -32,17 +32,16 @@
 # and other provisions required by the GPL or the LGPL. If you do not delete
 # the provisions above, a recipient may use your version of this file under
 # the terms of any one of the MPL, the GPL or the LGPL.
 #
 # ***** END LICENSE BLOCK *****
 CORE_DEPTH = ..
 DEPTH      = ..
 
-IMPORTS =	nspr20/v4.4.1 \
-		dbm/DBM_1_61_RTM \
+IMPORTS =	nspr20/v4.6 \
 		$(NULL)
 
 RELEASE = nss
 
 DIRS = lib cmd